/***********************************************************************************************************
 * Copyright (c)  2022 - 2023, Unicmicro Co.,Ltd .
 * All rights reserved.
 * Filename    : um2005C.h
 * Description : um2005C header file
 * Author(s)   : limingzu
 * version     : V1.0
 * Modify date : 2022-12-20
 ***********************************************************************************************************/
#ifndef __UM2005C_H__
#define __UM2005C_H__

#include "typedefs.h"
#include "um2005C_defs.h"

#ifdef __cplusplus
extern "C" {
#endif

em_ret_t um2005C_init(void);

void um2005C_write_reg(u8_t addr,u8_t value);

u8_t um2005C_read_reg(u8_t addr);

void um2005C_set_freq(float freq,float xtal);

void um2005C_set_modulation(em_modution_t mod);

void um2005C_set_rate(float rate,float xtal);

void um2005C_set_deviation(float dev,float xtal);

void um2005C_set_compensation(BOOL enable);

void um2005C_into_tx(void);

void um2005C_rst_dig(void);

#ifdef __cplusplus
}
#endif

#endif
